package cn.techhawk.codes.tester.controller;

import cn.techhawk.codes.coffee.result.SingleResult;
import cn.techhawk.codes.tester.dos.OrgInsertFO;
import cn.techhawk.codes.tester.service.OrgService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.lang.String;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/org")
@RestController
@Api(
    value = "机构管理",
    description = "机构管理",
    tags = {"机构管理","机构管理"}
)
public class OrgController {
  @Autowired
  private OrgService orgService;

  @RequestMapping(
      value = {"/insert"},
      method = RequestMethod.POST
  )
  @ApiOperation(
      value = "新增机构信息",
      notes = "新增机构信息"
  )
  public SingleResult<String> insert(@RequestBody OrgInsertFO insertFO) {
    String result= orgService.insert(insertFO);
    return new SingleResult<>(result);
  }

  @RequestMapping(
      value = {"/updateStatus"},
      method = RequestMethod.POST
  )
  @ApiOperation(
      value = "更改机构状态",
      notes = "更改机构状态"
  )
  public SingleResult<String> updateStatus(@RequestBody UpdateStatusFO updateStatusFO) {
    String result= orgService.updateStatus(updateStatusFO.id,updateStatusFO.status);
    return new SingleResult<>(result);
  }

  @Getter
  @Setter
  public static class UpdateStatusFO {
    private String id;

    private String status;
  }
}
