package cn.techhawk.codes.tester.controller;

import cn.techhawk.codes.coffee.result.SingleResult;
import cn.techhawk.codes.tester.dos.OrgInsertFO;
import cn.techhawk.codes.tester.service.OrgService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import java.lang.String;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/org")
@RestController
@Schema(
    name = "机构管理",
    description = "机构管理"
)
@Tag(
    name = "机构管理"
)
@Tag(
    name = "机构管理"
)
public class OrgController {
  @Autowired
  private OrgService orgService;

  @RequestMapping(
      value = {"/insert"},
      method = RequestMethod.POST
  )
  @Operation(
      description = "新增机构信息",
      summary = "新增机构信息"
  )
  public SingleResult<String> insert(@RequestBody OrgInsertFO insertFO) {
    String result= orgService.insert(insertFO);
    return new SingleResult<>(result);
  }

  @RequestMapping(
      value = {"/updateStatus"},
      method = RequestMethod.POST
  )
  @Operation(
      description = "更改机构状态",
      summary = "更改机构状态"
  )
  public SingleResult<String> updateStatus(@RequestBody UpdateStatusFO updateStatusFO) {
    String result= orgService.updateStatus(updateStatusFO.id,updateStatusFO.status);
    return new SingleResult<>(result);
  }

  @Getter
  @Setter
  public static class UpdateStatusFO {
    private String id;

    private String status;
  }
}
