package cn.techhawk.codes.tester.controller;

import cn.techhawk.codes.coffee.result.SingleResult;
import cn.techhawk.codes.tester.dto.UserDTO;
import cn.techhawk.codes.tester.service.UserService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import java.lang.String;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/user")
@RestController
@Schema(
    name = "用户管理",
    description = "用户管理"
)
@Tag(
    name = "用户管理"
)
@Tag(
    name = "测试用户"
)
public class UserController {
  @Autowired
  private UserService userService;

  @RequestMapping(
      value = {"/insert"},
      method = RequestMethod.POST
  )
  @Operation(
      description = "新增用户",
      summary = "新增用户"
  )
  public SingleResult<String> insert(@RequestBody UserDTO userDTO) {
    String result= userService.insert(userDTO);
    return new SingleResult<>(result);
  }

  @RequestMapping(
      value = {"/updateStatus"},
      method = RequestMethod.POST
  )
  @Operation(
      description = "更改机构状态",
      summary = "更改机构状态"
  )
  public SingleResult<String> updateStatus(@RequestBody UpdateStatusFO updateStatusFO) {
    String result= userService.updateStatus(updateStatusFO.id,updateStatusFO.status);
    return new SingleResult<>(result);
  }

  @Getter
  @Setter
  public static class UpdateStatusFO {
    private String id;

    private String status;
  }
}
