package cn.techhawk.codes.tester.controller;

import cn.techhawk.codes.coffee.result.SingleResult;
import cn.techhawk.codes.tester.dto.UserDTO;
import cn.techhawk.codes.tester.service.UserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.lang.String;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("/user")
@RestController
@Api(
    value = "用户管理",
    description = "用户管理",
    tags = {"用户管理","测试用户"}
)
public class UserController {
  @Autowired
  private UserService userService;

  @RequestMapping(
      value = {"/insert"},
      method = RequestMethod.POST
  )
  @ApiOperation(
      value = "新增用户",
      notes = "新增用户"
  )
  public SingleResult<String> insert(@RequestBody UserDTO userDTO) {
    String result= userService.insert(userDTO);
    return new SingleResult<>(result);
  }

  @RequestMapping(
      value = {"/updateStatus"},
      method = RequestMethod.POST
  )
  @ApiOperation(
      value = "更改机构状态",
      notes = "更改机构状态"
  )
  public SingleResult<String> updateStatus(@RequestBody UpdateStatusFO updateStatusFO) {
    String result= userService.updateStatus(updateStatusFO.id,updateStatusFO.status);
    return new SingleResult<>(result);
  }

  @Getter
  @Setter
  public static class UpdateStatusFO {
    private String id;

    private String status;
  }
}
