package cn.techhawk.codes.tester.entity;

import cn.techhawk.codes.coffee.mybatisx.table.Meaning;
import cn.techhawk.codes.coffee.mybatisx.table.Column;
import cn.techhawk.codes.coffee.mybatisx.table.Id;
import cn.techhawk.codes.coffee.mybatisx.table.Table;
import cn.techhawk.codes.coffee.mybatisx.table.IdType;


import lombok.*;

import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(value = "sys_user", comment = "用户表")
public class UserEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id(type = IdType.auto)
    @Column(value = "id")
    private String id;
    @Column(value = "name", meaning = Meaning.name)
    private String name;
    @Column(value = "nick_name")
    private String nickName;
    @Column(value = "account")
    private String account;
    @Column(value = "org_id")
    private String orgId;
    @Column(value = "password")
    private String password;
    @Column(value = "sex")
    private String sex;
    @Column(value = "birthday")
    private Date birthday;
    @Column(value = "id_card")
    private String idCard;
    @Column(value = "email")
    private String email;
    @Column(value = "mobile")
    private String mobile;
    @Column(value = "emp_no")
    private String empNo;
    @Column(value = "professional_posts")
    private String professionalPosts;
    @Column(value = "origin")
    private String origin;
    @Column(value = "first_landing")
    private Integer firstLanding;
    @Column(value = "password_expire_date")
    private Date passwordExpireDate;
    @Column(value = "expire_date")
    private Date expireDate;
    @Column(value = "locked_time")
    private Date lockedTime;
    @Column(value = "avatar_url")
    private String avatarUrl;
    @Column(value = "status", meaning = Meaning.status, defaultValue = "1")
    private String status;
    @Column(value = "is_deleted", meaning = Meaning.isDeleted, defaultValue = "0")
    private Boolean isDeleted;
    @Column(value = "creator", meaning = Meaning.creator)
    private String creator;
    @Column(value = "creator_name", meaning = Meaning.creatorName)
    private String creatorName;
    @Column(value = "create_time", meaning = Meaning.createTime)
    private Date createTime;
    @Column(value = "modified_time", meaning = Meaning.modifiedTime)
    private Date modifiedTime;


}